[POST] .../v1/promoprogramsetting/get
Returns promotion setting information. Use this method to retrieve loyalty promotion settings after a promotion program has been created. The response returns non-deleted settings with program_id, program_type_id, setting type, key, raw JSON value and last_update; consumers use these records to configure bonus, discount, item, item group and type-3 promotion rules. The request requires the promotion setting select permission and can be narrowed by filters. Business errors such as a missing request body, denied access, disabled retail promotion tariff, database errors or empty persistent data are returned as HTTP 200 ErrorResult.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| id | int | Promotion setting ID. |
| key | string | Setting name. |
| program_id | int | Promotion ID. |
| type_ids | int | Promotion type IDs. |
Request Example
{
"filters": [
{
"Field": "id",
"Operator": "Equal",
"Value": "string"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of PromoProgramSetting | Result object. |
Response Example
{
"ok": true,
"result": [
{
"deleted": true,
"id": 1,
"key": "string",
"last_update": 1,
"program_id": 1,
"program_type_id": 1,
"type": "Client",
"value": "string"
}
]
}